Subject: Re: Why is cygwin.dll?
From: [email-masked] ("Edward S. Marshall")

16 Jan 1997 17:50:12 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII
Original-To: Grant Leslie <[email-masked]>
Original-cc: GNU-WIN32 <[email-masked]>
In-Reply-To: <[email-masked]>
Original-Sender: [email-masked]

On Wed, 15 Jan 1997, Grant Leslie wrote:
: Umm not to be too picky, but, I believe when linking only those functions
: which the program used would be included. meaning grep wouldn't be 3meg
: larger. Although due to the way cygwin works I'm sure including any of it
: would require alot of others to be included, mostly for file access I would
: assume. I'm sure it would be nice to make simple programs that don't
: require cygwin.dll I even think I read somewhere about Cygnus working out
: how to do this. Though you would probably still end up with an exe much
: larger than one that uses cygwin.dll.

As an alternative approach, has anyone considered breaking cygwin.dll into
functional portions, i.e. groups of functions which are functionally
dependant upon each other are broken into separate dll's? The gain here
would be that the entire 3M dll wouldn't necessarily be loaded all at
once; for any given application (say, bash) you might only need 1.5M of
the code in that dll. By breaking them into separate dll's, you win with
memory. The downside is in linking: you need to be a little more
intelligent in the generation of compiled apps, I would think (would need
to do on-the-fly consideration of what dll's to link to the app).

Comments?

--
..-----------------------------------------------------------------------------.
| Edward S. Marshall <[email-masked]> | CII Technical Administrator,     |
| http://www.common.net/~emarshal/         | Vice-President, Common Internet  |
| Finger for PGP public key.               | Inc, and Linux & LPmud (ab)user. |
`-----------------------------------------------------------------------------'

-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".